# Document Identification Result

`DocumentIdentificationResult` can be returned as one of the following derived classes:

* `PassportIdentificationResult`
* `IdCardIdentificationResult`
* `DriversLicenseIdentificationResult`

#### Description of `DocumentIdentificationResult` base class:

| Getter              | Type | Description                                                                                                                                                                                               |
| ------------------- | ---- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `getDocumentType()` | enum | <p>Id document type. Possible values:</p><ul><li><code>PASSPORT</code> - passport</li><li><code>NATIONAL\_ID</code> - national ID card</li><li><code>DRIVERS\_LICENSE</code> - driver's license</li></ul> |

#### Description of `PassportIdentificationResult` base class:

| Getter                               | Type      | Description                                                                                                                            |
| ------------------------------------ | --------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `getGivenNames()`                    | String    | Given names (separated with whitespace)                                                                                                |
| `getGivenNamesLocalized()`           | String    | Given names in the local language (optional)                                                                                           |
| `getSurname()`                       | String    | Surnames (separated with whitespace)                                                                                                   |
| `getSurnameLocalized()`              | String    | Surnames in the local language (optional)                                                                                              |
| `getSurnameAndGivenNames()`          | String    | Surnames and Given Name(s)  (separated with whitespace) - For use when `givenNames` and `surname` are not available as separate fields |
| `getSurnameAndGivenNamesLocalized()` | String    | Surnames and Given Name(s) in the local language (optional)                                                                            |
| `getPlaceOfBirth()`                  | String    | Place of birth                                                                                                                         |
| `getPlaceOfBirthLocalized()`         | String    | Place of birth in the local language (optional)                                                                                        |
| `getDateOfBirth()`                   | LocalDate | Date of birth                                                                                                                          |
| `getDateOfExpiry()`                  | LocalDate | Date of expiration of the document                                                                                                     |
| `getDateOfIssue()`                   | LocalDate | Date of issue of the document                                                                                                          |
| `getSex()`                           | enum      | Enum with user's gender. Possible values: `MALE`, `FEMALE`, `UNKNOWN`                                                                  |
| `getNationality()`                   | String    | Country code of user's nationality in [**ISO 3166-1 alpha-3**](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) format                |
| `getIssuingCountry()`                | String    | Country code of document issuing country in [**ISO 3166-1 alpha-3**](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) format          |
| `getIssuingAuthority()`              | String    | Issuing authority name                                                                                                                 |
| `getIssuingAuthorityLocalized()`     | String    | Issuing authority name in the local language (optional)                                                                                |
| `getDocumentNumber()`                | String    | Document number                                                                                                                        |
| `getPersonalNumber()`                | String    | Personal number of the document owner                                                                                                  |
| `getAddress()`                       | String    | Place of residence                                                                                                                     |
| `isSixteenPlus()`                    | Bool      | Person age is over 16 years                                                                                                            |
| `isEighteenPlus()`                   | Bool      | Person age is over 18 years                                                                                                            |
| `isTwentyOnePlus()`                  | Bool      | Person age is over 18 years                                                                                                            |
| `getDocumentImageFilePath()`         | String    | File path to the image of passport front page                                                                                          |

#### Deprecated methods:

`getImageFile()` is now deprecated and replaced with `getDocumentImageFilePath()`

####

#### Description of `IdCardIdentificationResult` base class:

<table data-header-hidden><thead><tr><th width="264.3333333333333">Getter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>Getter</td><td>Type</td><td>Description</td></tr><tr><td><code>getGivenNames()</code></td><td>String</td><td>Given names (separated with whitespace)</td></tr><tr><td><code>getGivenNamesLocalized()</code></td><td>String</td><td>Given names  in the local language (optional)</td></tr><tr><td><code>getSurname()</code></td><td>String</td><td>Surnames (separated with whitespace)</td></tr><tr><td><code>getSurnameLocalized()</code></td><td>String</td><td>Surnames in the local language (optional)</td></tr><tr><td><code>getSurnameAndGivenNames()</code></td><td>String</td><td>Surnames and Given Name(s)  (separated with whitespace) - For use when <code>givenNames</code> and <code>surname</code> are not available as separate fields</td></tr><tr><td><code>getSurnameAndGivenNamesLocalized()</code></td><td>String</td><td>Surnames and Given Name(s) in the local language (optional)</td></tr><tr><td><code>getPlaceOfBirth()</code></td><td>String</td><td>Place of birth</td></tr><tr><td><code>getPlaceOfBirthLocalized()</code></td><td>String</td><td>Place of birth in the local language (optional)</td></tr><tr><td><code>getDateOfBirth()</code></td><td>LocalDate</td><td>Date of birth</td></tr><tr><td><code>getDateOfExpiry()</code></td><td>LocalDate</td><td>Date of expiration of the document</td></tr><tr><td><code>getDateOfIssue()</code></td><td>LocalDate</td><td>Date of issue of the document</td></tr><tr><td><code>getSex()</code></td><td>enum</td><td>Enum with user's gender. Possible values: <code>MALE</code>, <code>FEMALE</code>, <code>UNKNOWN</code></td></tr><tr><td><code>getNationality()</code></td><td>String</td><td>Country code of user's nationality in <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3"><strong>ISO 3166-1 alpha-3</strong></a> format</td></tr><tr><td><code>getIssuingCountry()</code></td><td>String</td><td>Country code of document issuing country in <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3"><strong>ISO 3166-1 alpha-3</strong></a> format</td></tr><tr><td><code>getIssuingAuthority()</code></td><td>String</td><td>Issuing authority name</td></tr><tr><td><code>getDocumentNumber()</code></td><td>String</td><td>Document number</td></tr><tr><td><code>getPersonalNumber()</code></td><td>String</td><td>Personal number of the document owner</td></tr><tr><td><code>getAddress()</code></td><td>String</td><td>Place of residence</td></tr><tr><td><code>isSixteenPlus()</code></td><td>Bool</td><td>Person age is over 16 years</td></tr><tr><td><code>isEighteenPlus()</code></td><td>Bool</td><td>Person age is over 18 years</td></tr><tr><td><code>isTwentyOnePlus()</code></td><td>Bool</td><td>Person age is over 18 years</td></tr><tr><td><code>getDocumentFrontImageFilePath()</code></td><td>String</td><td>File path to the image of id card front page</td></tr><tr><td><code>getDocumentBackImageFilePath()</code></td><td>String</td><td>File path to the image of id card back page</td></tr></tbody></table>

#### Deprecated methods:

`getImageFrontFile()` is now deprecated and replaced with `getDocumentFrontImageFilePath()`

`getImageBackFile()` is now deprecated and replaced with `getDocumentBackImageFilePath()`

####

#### Description of `DriversLicenseIdentificationResult` base class:

<table data-header-hidden><thead><tr><th width="282.3333333333333">Getter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>Getter</td><td>Type</td><td>Description</td></tr><tr><td><code>getGivenNames()</code></td><td>String</td><td>Given names (separated with whitespace)</td></tr><tr><td><code>getGivenNamesLocalized()</code></td><td>String</td><td>Given names in the local language (optional)</td></tr><tr><td><code>getSurname()</code></td><td>String</td><td>Surnames (separated with whitespace)</td></tr><tr><td><code>getSurnameLocalized()</code></td><td>String</td><td>Surnames in the local language (optional)</td></tr><tr><td><code>getSurnameAndGivenNames()</code></td><td>String</td><td>Surnames and Given Name(s)  (separated with whitespace) - For use when <code>givenNames</code> and <code>surname</code> are not available as separate fields</td></tr><tr><td><code>getSurnameAndGivenNamesLocalized()</code></td><td>String</td><td>Surnames and Given Name(s) in the local language</td></tr><tr><td><code>getPlaceOfBirth()</code></td><td>String</td><td>Place of birth</td></tr><tr><td><code>getPlaceOfBirthLocalized()</code></td><td>String</td><td>Place of birth in the local language (optional)</td></tr><tr><td><code>getDateOfBirth()</code></td><td>LocalDate</td><td>Date of birth</td></tr><tr><td><code>getDateOfExpiry()</code></td><td>LocalDate</td><td>Date of expiration of the document</td></tr><tr><td><code>getDateOfIssue()</code></td><td>LocalDate</td><td>Date of issue of the document</td></tr><tr><td><code>getSex()</code></td><td>enum</td><td>Enum with user's gender. Possible values: <code>MALE</code>, <code>FEMALE</code>, <code>UNKNOWN</code></td></tr><tr><td><code>getIssuingCountry()</code></td><td>String</td><td>Country code of document issuing country in <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3"><strong>ISO 3166-1 alpha-3</strong></a> format</td></tr><tr><td><code>getIssuingAuthority()</code></td><td>String</td><td>Issuing authority name</td></tr><tr><td><code>getIssuingAuthorityLocalized()</code></td><td>String</td><td>Issuing authority name in the local language (optional)</td></tr><tr><td><code>getDocumentNumber()</code></td><td>String</td><td>Document number</td></tr><tr><td><code>getPersonalNumber()</code></td><td>String</td><td>Personal number of the document owner</td></tr><tr><td><code>getAddress()</code></td><td>String</td><td>Place of residence</td></tr><tr><td><code>getJuristidction()</code></td><td>String</td><td>Area where the document got issued. E.g.: USA State or Canada Province.</td></tr><tr><td><code>getLicenseClass()</code></td><td>String</td><td>Driver's License Classes</td></tr><tr><td><code>getLicenseClassDetails()</code></td><td>Map</td><td><p></p><p>Driver's License Class details. Map Key is the Class name (i.e. <strong>A</strong>, <strong>B</strong>, <strong>B1, C</strong>, etc.) and Value is a <code>LicenseClassDetail</code> class containing the following getters:</p><ul><li><code>getFrom()</code> [LocalDate] Validity start date</li><li><code>getTo()</code> [LocalDate] Validity end date</li><li><code>getNotes()</code> [String] Additional notes</li></ul></td></tr><tr><td><code>isSixteenPlus()</code></td><td>Bool</td><td>Person age is over 16 years</td></tr><tr><td><code>isEighteenPlus()</code></td><td>Bool</td><td>Person age is over 18 years</td></tr><tr><td><code>isTwentyOnePlus()</code></td><td>Bool</td><td>Person age is over 18 years</td></tr><tr><td><code>getDocumentFrontImageFilePath()</code></td><td>String</td><td>File path to the image of the document front page</td></tr><tr><td><code>getDocumentBackImageFilePath()</code></td><td>String</td><td>File path to the image of the document back page</td></tr></tbody></table>

#### Deprecated methods:

`getImageFrontFile()` is now deprecated and replaced with `getDocumentFrontImageFilePath()`

`getImageBackFile()` is now deprecated and replaced with `getDocumentBackImageFilePath()`

####


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.authenteq.com/mo/android/usage/identification-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
